Underconstruction#
Power generation projects under construction. Includes gas, solar, wind, and battery projects.
Endpoint#
GET |
https://vulcan.api.synmax.com/v2/underconstruction |
Request Examples#
curl -X GET "https://vulcan.api.synmax.com/v2/underconstruction" \
-H "Access-Key: $API_TOKEN"
from synmax.vulcan.v2 import VulcanApiClient
SYNMAX_ACCESS_TOKEN = "<YOUR_API_TOKEN>"
vulcan_api_client = VulcanApiClient(access_token=SYNMAX_ACCESS_TOKEN)
underconstruction_resp = vulcan_api_client.underconstruction()
underconstruction_df = underconstruction_resp.df()
underconstruction_df.head()
Response#
Parameters |
Type |
Description |
Example |
|---|---|---|---|
balancing_authority |
string |
EIA balancing authority responisble for grid reliability in plant’s service area |
SWPP |
county |
string |
Plant county - Provided by EIA |
Fayette |
created_at |
string |
ISO date on which the record was created |
2025-04-28T12:34:56Z |
date_construction_50_percent_complete |
string |
Date where a plant has been deemed to appear 50% complete |
2/7/2024 |
date_construction_completed |
string |
Date where plant has been deemed complete based on satellite observations |
4/15/2025 |
date_construction_start |
string |
Start date of construction for a given plant |
2025-03-09 |
date_first_structures |
string |
Date where the first permanent structures are identified for a given plant |
2023-07-12 |
date_image |
string |
Date of the latest available satellite image |
2025-04-14 |
date_image_reviewed |
string |
Date on which the latest satellite image was reviewed |
2025-04-16 |
date_land_cleared |
string |
Date of first land cleared for a given plant |
2022-05-07 |
date_operation |
string |
The actual date the plant became operational |
2026-06-01 |
date_planned_operation |
string |
The EIA online month and year with each date assigned to the 15th of the given month to normalize data. |
2026-05-15 |
date_vulcan_earliest_online |
string |
The earliest possible date a plant is projected to be operational |
2024-02-07 |
date_vulcan_earliest_plus_7 |
string |
The earliest possible date a plant could be operational if construction were to start 1 week after the last update. |
1/27/2026 |
date_vulcan_latest_online |
string |
The latest possible date a plant is projected to be operational |
2027-07-24 |
date_vulcan_median_online |
string |
The median projected date a plant is projected to be operational, between the earliest and latest online dates |
2026-04-15 |
date_vulcan_status_change |
string |
Date of which a plants status was changed to under construction |
2025-06-03 |
days_eia_minus_vulcan_earliest_online |
object |
The difference in days between the EIA online date and the Vulcan earliest date |
108 |
days_eia_minus_vulcan_latest_online |
object |
The difference in days between the EIA online date and the Vulcan latest date |
-1155 |
entity_name |
string |
EIA plant operating entity |
1000 Mile Solar, LLC |
generator_id |
string |
EIA ID given to each generator for a given plant |
PV1 |
latitude |
number |
EIA plant latitude |
33.0225 |
longitude |
number |
EIA plant longitude |
-102.709 |
modified_at |
string |
ISO date on which the record was last modified |
2025-04-28T12:34:56Z |
nameplate_capacity |
number |
EIA plant generator capacity in megawatts (MW) |
200.0 |
nameplate_capacity_unit |
string |
EIA plant generator capacity unit |
MW |
observation |
string |
Observations or relevant plant comments after reviewing satellite images |
land cleared |
permission |
string |
Permission required to access this record |
vulcan_underconstruction |
plant_id |
string |
EIA plant id |
68847 |
plant_name |
string |
EIA plant name |
1000 Mile Solar |
plant_status |
string |
EIA plants operational status, or its stage of construction |
|
project_rank |
number |
Indicates the likelihood of a plant’s construction. Values range from 0-7, a higher-ranking number indicates a higher likelihood of plant construction. |
3.6482 |
source |
string |
The source of the plant data |
EIA |
state_code |
string |
2 letter plant state code - provided by EIA |
TX |
synmax_id |
string |
Unique key of plant id and generator id |
68847-PV1 |
technology |
string |
EIA primary generation technology |
Solar Photovoltaic |
total_generators |
integer |
Count of generators for a given plant id |
2 |
total_wpi |
number |
Cumulative Weekly Progress Indicator — running sum of the unit’s weekly_progress_indicator across all observed vintages up to and including this row. A construction-momentum measure; ~56 is the median total at completion. 0 when the unit has no WPI observations yet. Present on every vintage row (half-point increments occur because pre-first-structures weeks are half-weighted). |
28.0 |
vulcan_status |
string |
Indicates if a plant has been observed to be under construction |
Confirmed |
vulcan_tech |
string |
The generalized technology assigned by Vulcan. Used to estimate construction times |
Solar |
weekly_progress_indicator |
number |
Indicator of weekly progress |
1.0 |
Normal Output#
synmax_id |
modified_at |
created_at |
plant_id |
generator_id |
plant_name |
entity_name |
source |
technology |
vulcan_tech |
plant_status |
total_generators |
project_rank |
state_code |
county |
balancing_authority |
latitude |
longitude |
nameplate_capacity |
nameplate_capacity_unit |
vulcan_status |
date_vulcan_status_change |
date_image |
date_image_reviewed |
date_construction_start |
date_land_cleared |
date_first_structures |
date_construction_completed |
permission |
observation |
date_construction_50_percent_complete |
date_vulcan_earliest_online |
date_vulcan_latest_online |
date_vulcan_median_online |
date_vulcan_earliest_plus_7 |
date_planned_operation |
days_eia_minus_vulcan_earliest_online |
days_eia_minus_vulcan_latest_online |
date_operation |
weekly_progress_indicator |
total_wpi |
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
67823-RRBES |
2026-07-24 |
2026-07-24 |
67823 |
RRBES |
Roadrunner Solar and BESS RRBES |
Clenera LLC |
EIA |
Batteries |
Solar Battery |
(OP) Operating |
2 |
4.125475068 |
AZ |
Cochise |
WALC |
32.0861 |
-109.9353 |
235.0 |
mw |
Operational |
2026-04-02 |
2025-04-28 |
2026-07-11 |
2025-04-09 |
2024-12-08 |
2025-04-09 |
1 |
battery visible |
TBD |
2025-10-21 |
2027-02-08 |
2026-02-25 |
2025-10-21 |
2026-01-01 |
0 |
|||||
62295-67 |
2026-08-21 |
2026-07-24 |
62295 |
67 |
Rollins Solar |
Rollins Solar |
EIA |
Solar Photovoltaic |
Solar |
|
1 |
2.4827524 |
SC |
Darlington |
CPLE |
34.3536 |
-80.0162 |
74.9 |
mw |
Identified |
2026-07-24 |
2026-07-17 |
2026-08-18 |
2026-07-17 |
2026-07-17 |
1 |
land cleared |
TBD |
2027-01-13 |
2028-10-09 |
2027-06-11 |
2027-01-13 |
2027-11-15 |
306.0 |
-329.0 |
0.5 |
2.0 |
|||
62299-66 |
2026-09-25 |
2026-07-24 |
62299 |
66 |
Quest Solar |
Quest Solar |
EIA |
Solar Photovoltaic |
Solar Battery |
|
2 |
2.4825625 |
SC |
Allendale |
SCEG |
32.9765 |
-81.2268 |
50.0 |
mw |
none |
2026-09-21 |
1 |
TBD |
2027-02-27 |
2028-11-15 |
0.0 |
0.0 |
|||||||||||||
65344-66149 |
2026-09-11 |
2026-07-24 |
65344 |
66149 |
Noria Hondo Solar (Hybrid) 66149 |
Nexus Renewable Power, LLC |
EIA |
Batteries |
Solar Battery |
|
2 |
2.6828074 |
TX |
Kleberg |
ERCO |
27.5534 |
-97.6753 |
75.0 |
mw |
none |
2025-05-14 |
2026-09-08 |
1 |
TBD |
2027-03-18 |
2027-12-15 |
0.0 |
0.0 |
||||||||||||
68028-DSP |
2026-09-25 |
2026-07-24 |
68028 |
DSP |
Delta Solar Plant |
Entergy Mississippi LLC |
EIA |
Solar Photovoltaic |
Solar |
|
1 |
4.4117484 |
LA |
Bolivar |
MISO |
33.794 |
-90.7139 |
80.0 |
mw |
Confirmed |
2026-06-26 |
2026-06-03 |
2026-09-22 |
2026-04-19 |
2026-04-19 |
1 |
land cleared |
TBD |
2026-10-23 |
2028-08-12 |
2027-03-25 |
2026-10-23 |
2027-11-15 |
388.0 |
-271.0 |
0.5 |
5.0 |
|||
66238-1SPS |
2026-09-25 |
2026-07-24 |
66238 |
1SPS |
Sculpin Solar |
RWE Clean Energy |
EIA |
Solar Photovoltaic |
Solar |
|
1 |
2.1660287 |
IN |
DeKalb |
PJM |
41.3646 |
-84.8438 |
180.0 |
mw |
none |
2025-05-10 |
2026-09-14 |
1 |
TBD |
2027-05-20 |
2028-12-15 |
0.0 |
|||||||||||||
65887-1 |
2026-09-25 |
2026-07-24 |
65887 |
1 |
Price Creek |
Florida Power & Light Co |
EIA |
Solar Photovoltaic |
Solar |
(OP) Operating |
1 |
FL |
Columbia |
FPL |
30.1607 |
-82.5584 |
74.5 |
mw |
Operational |
2026-04-02 |
2026-01-01 |
2026-07-11 |
2025-09-03 |
2025-04-13 |
2025-09-03 |
1 |
panels visible |
TBD |
2025-12-12 |
2026-11-28 |
2026-02-24 |
2025-12-12 |
2026-01-01 |
0 |
||||||
3399-CTG2 |
2026-09-25 |
2026-07-24 |
3399 |
CTG2 |
Cumberland (TN) CTG2 |
Tennessee Valley Authority |
EIA |
Natural Gas Fired Combined Cycle |
Gas Brownfield |
|
6 |
4.1792006 |
TN |
Stewart |
TVA |
36.3903 |
-87.6539 |
454.8 |
mw |
Identified |
2025-06-24 |
2026-08-29 |
2026-09-19 |
2025-03-27 |
2025-03-27 |
1 |
land cleared |
TBD |
2027-08-22 |
2029-01-28 |
2028-05-10 |
2027-08-22 |
2029-01-15 |
512.0 |
-13.0 |
0.5 |
5.0 |
|||
65850-ELIBS |
2026-08-28 |
2026-07-24 |
65850 |
ELIBS |
Elio Energy LLC |
Elio Energy LLC |
EIA |
Batteries |
Battery |
|
2 |
4.3441148 |
TX |
Brazoria |
ERCO |
29.2477 |
-95.6855 |
300.0 |
mw |
Confirmed |
2025-01-29 |
2025-04-12 |
2026-08-23 |
2025-04-12 |
2024-12-31 |
2025-04-12 |
1 |
battery visible |
TBD |
2025-11-08 |
2028-10-18 |
2027-04-30 |
2025-11-08 |
2027-12-15 |
767.0 |
-308.0 |
0.0 |
3.0 |
||
68009-SB12 |
2026-08-21 |
2026-07-24 |
68009 |
SB12 |
Saltbranch 2 |
Leeward Asset Management, LLC |
EIA |
Solar Photovoltaic |
Solar |
|
1 |
3.3659663 |
OK |
Mayes |
SWPP |
36.3316 |
-95.2293 |
73.0 |
mw |
Confirmed |
2026-06-26 |
2026-06-01 |
2026-08-19 |
2026-05-02 |
2025-08-22 |
2026-05-02 |
1 |
structures visible |
TBD |
2026-08-08 |
2027-07-18 |
2026-10-19 |
2026-08-08 |
2026-07-15 |
-24.0 |
-368.0 |
0.0 |
3.0 |